package pwc.taxtech.atms.service;

import pwc.taxtech.atms.dpo.TemplateUniqDto;
import pwc.taxtech.atms.dto.CellBriefDto;
import pwc.taxtech.atms.dto.DeleteTemplateParam;
import pwc.taxtech.atms.dto.OperationResultDto;
import pwc.taxtech.atms.dto.TemplateDto;
import pwc.taxtech.atms.dto.UpateNameParam;
import pwc.taxtech.atms.dto.vatdto.TemplateByGroupDto;
import pwc.taxtech.atms.entity.Template;

import java.util.List;

public interface TemplateService {
    /**
     * @return 模板DTO 列表
     */
    List<TemplateDto> get(Long templateGroupId, Integer reportType);

    String getTemplatePath(Long templateId);

    Template getTemplateById(Long templateId);

    List<TemplateUniqDto> getTemplateUniqList(String serviceTypeId, Integer payTaxType, Integer reportType, String industryIds);

    OperationResultDto<Object> updateTemplateName(UpateNameParam param);

    OperationResultDto<String> deleteTemplate(DeleteTemplateParam param);

    OperationResultDto setRowColName(Long id,List<CellBriefDto> cellInfo);

    OperationResultDto<List<TemplateByGroupDto>> getByGroupId(Long templateGroupId, String projectId);
}
