package pwc.taxtech.atms.service;

import pwc.taxtech.atms.dpo.OrganizationDto;
import pwc.taxtech.atms.dpo.UserDto;
import pwc.taxtech.atms.dpo.UserOrgDto;
import pwc.taxtech.atms.dpo.UserOrgRoleDto;
import pwc.taxtech.atms.dto.OperationResultDto;
import pwc.taxtech.atms.dto.organization.DimensionRoleDto;
import pwc.taxtech.atms.dto.organization.OrgRoleDtoList;
import pwc.taxtech.atms.dto.user.UpdateParam;
import pwc.taxtech.atms.dto.user.UserAndUserRoleSaveDto;
import pwc.taxtech.atms.dto.user.UserOrganizationDto;
import pwc.taxtech.atms.dto.user.UserRoleDimensionValueDto;
import pwc.taxtech.atms.dto.user.UserRoleDisplayInfo;
import pwc.taxtech.atms.entity.UserRole;

import java.util.List;

public interface UserRoleService {

    OrgRoleDtoList getUserRoleByUserId(String userId);

    UserAndUserRoleSaveDto getSingleUserByUserId(String userId);

    List<UserRoleDisplayInfo> getAllUserRoleList(String serviceTypeId);

    List<UserRole> findAllUserRoles();

    UserRoleDisplayInfo getUserRoleListByUserId(String userId);

    UserOrganizationDto getUserRoleByOrgId(String userId, String orgId);

    List<DimensionRoleDto> getOrgBuAreaIndustryUser(String userId);

    @SuppressWarnings("rawtypes")
    OperationResultDto enableOrDisableUser(UpdateParam updateParam);

    @SuppressWarnings("rawtypes")
    OperationResultDto deleteUserRoleOrg(List<UserRoleDimensionValueDto> list);

    List<UserRoleDisplayInfo> getUserRoleByDimensionValueId(String parentDimensionId, String dimensionValueId);

    List<UserRoleDisplayInfo> getSpecialUserRoleByDimensionValueId(String parentDimensionId, String dimensionValueId);

    List<UserOrgRoleDto> getDimensionUserRoleList(String parentDimensionId, String dimensionValueId);

    @SuppressWarnings("rawtypes")
    OperationResultDto updateUserRoleDimension(List<UserRoleDimensionValueDto> userRoleList);

    @SuppressWarnings("rawtypes")
    OperationResultDto updateUserRoleOrganization(List<UserRoleDimensionValueDto> userRoleList);

    @SuppressWarnings("rawtypes")
    OperationResultDto deleteUserRoleDimension(List<UserRoleDimensionValueDto> userRoleList);

    OperationResultDto<?> updateUserRoleForDimension(List<UserRoleDimensionValueDto> userRoleList);

    UserDto getUserDtoById(String userId);

    OrganizationDto getOrgDtoById(String orgId);

    @SuppressWarnings("rawtypes")
    OperationResultDto updateUserDimensionNonAccess(UserRoleDimensionValueDto r);

    @SuppressWarnings("rawtypes")
    OperationResultDto updateUserRoleForOrg(List<UserRoleDimensionValueDto> userRoleList);

    @SuppressWarnings("rawtypes")
    OperationResultDto deleteUserRoleByOrgId(UserOrgDto userDto);

    UserDto GetUserByUserName(UserDto userParam);
}
