package pwc.taxtech.atms.vat.service.impl;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import pwc.taxtech.atms.common.ftp.FtpService;
import pwc.taxtech.atms.dao.*;
import pwc.taxtech.atms.dao.EnterpriseAccountMapper;
import pwc.taxtech.atms.dao.ProjectDao;
import pwc.taxtech.atms.service.impl.DistributedIdService;
import pwc.taxtech.atms.vat.dao.*;
import pwc.taxtech.atms.vat.dao.VatEnterpriseAccountDao;
import pwc.taxtech.atms.vat.service.ReportGenerator;

public class VatAbstractService {
    protected final Logger logger = LoggerFactory.getLogger(this.getClass());

    @Autowired
    public CompanyBalanceMapper companyBalanceMapper;
    @Autowired
    public VatEnterpriseAccountMapper vatEnterpriseAccountMapper;
    @Autowired
    public PeriodStandardAccountMapper periodStandardAccountMapper;
    @Autowired
    public PeriodEnterpriseAccountMapper periodEnterpriseAccountMapper;
    @Autowired
    public InputVatInvoiceMapper inputVATInvoiceMapper;
    @Autowired
    public OutputVatInvoiceMapper outputVATInvoiceMapper;
    @Autowired
    public CustomsInvoiceMapper customsInvoiceMapper;
    @Autowired
    public OutputVatInvoiceItemMapper outputVATInvoiceItemMapper;
    @Autowired
    public InputVatInvoiceItemMapper inputVATInvoiceItemMapper;
    @Autowired
    public ProjectMapper projectMapper;
    @Autowired
    public TaxPayerReportRuleMapper taxPayerReportRuleMapper;
    @Autowired
    public ProjectServiceTypeMapper projectServiceTypeMapper;
    @Autowired
    public TemplateMapper templateMapper;
    @Autowired
    public PeriodTemplateMapper periodTemplateMapper;
    @Autowired
    public PeriodCellTemplateMapper periodCellTemplateMapper;
    @Autowired
    public PeriodCellTemplateConfigMapper periodCellTemplateConfigMapper;
    @Autowired
    public DataSourceMapper dataSourceMapper;
    @Autowired
    public PeriodDataSourceMapper periodDataSourceMapper;
    @Autowired
    public DataSourceDetailMapper dataSourceDetailMapper;
    @Autowired
    public PeriodDataSourceDetailMapper periodDataSourceDetailMapper;
    @Autowired
    public TemplateGroupMapper templateGroupMapper;
    @Autowired
    public DistributedIdService distributedIdService;
    @Autowired
    public CellTemplateMapper cellTemplateMapper;
    @Autowired
    public CellTemplateConfigMapper cellTemplateConfigMapper;
    @Autowired
    public EnterpriseAccountMapper enterpriseAccountMapper;
    @Autowired
    public ReportGenerator reportGenerator;
    @Autowired
    public BalanceStdManualMapper balanceStdManualMapper;
    @Autowired
    public BalanceMapper balanceMapper;
    @Autowired
    public VatEnterpriseAccountDao vatEnterpriseAccountDao;
    @Autowired
    public ProjectDao projectDao;
    @Autowired
    public PeriodFormulaBlockMapper periodFormulaBlockMapper;
    @Autowired
    public PeriodReportMapper periodReportMapper;
    @Autowired
    public CellDataMapper cellDataMapper;
    @Autowired
    public PeriodCellDataMapper periodCellDataMapper;
    @Autowired
    public ModifiedReportCellMapper modifiedReportCellMapper;
    @Autowired
    public PeriodCellCommentMapper periodCellCommentMapper;
    @Autowired
    public KeyValueConfigMapper keyValueConfigMapper;
    @Autowired
    public FtpService ftpService;
    @Autowired
    public CellDataSourceMapper cellDataSourceMapper;
    @Autowired
    public PeriodCellDataSourceMapper periodCellDataSourceMapper;
}
