package pwc.taxtech.invoice.input;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import pwc.taxtech.invoice.common.PagingDto;
import pwc.taxtech.invoice.common.PagingResultDto;

import static org.springframework.web.bind.annotation.RequestMethod.GET;

@RestController
@RequestMapping("/input_invoices")
public class InputInvoiceController {
    @Autowired
    InputInvoiceRepository repository;

    @RequestMapping(method = GET)
    public PagingResultDto<InputInvoice> getAll(@RequestParam(defaultValue = "0") int page, @RequestParam(defaultValue = "20") int size) {
        if (page < 0) page = 0;
        Page<InputInvoice> pageResult = repository.findAll(PageRequest.of(page - 1, size));
        PagingResultDto<InputInvoice> pageReturn = new PagingResultDto();
        pageReturn.setList(pageResult.getContent());
        pageReturn.setPageInfo(new PagingDto(pageResult.getTotalPages(), pageResult.getPageable().getPageNumber(), pageResult.getPageable().getPageSize()));
        return pageReturn;
    }
}
